\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{sdgarticle}[2007/07/11 v0.1 Steven Gordon Article Format]
% Developed by Steven Gordon
% $Revision: 188 $
% $Date: 2010-09-02 17:53:05 +0700 (พฤ., 02 ก.ย. 2010) $
% $Author: sgordon $
% $URL: https://sandilands.info/svn/Common/Styles/sdgarticle.cls $

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
% If 'titlepage' option is used, then a single page title is used.
% Otherwise a short title at the top of the first page is used.
\DeclareOption{titlepage}{\AtEndOfClass{%
	\renewcommand{\maketitle}{%
	\thispagestyle{empty}
	\begin{center}
\vspace*{5mm}
{\huge \@doccategory\\}
\vspace*{30mm}
{\Huge\textbf \@doctitle\\}
\vspace*{40mm}
{\Large \@docauthor\\}
\vspace*{65mm}
{\Large Sirindhorn International Institute of Technology\\Thammasat University\\}
\vspace*{15mm}
{\Large \@docdate\\}
{\Large Revision \@docversion\\}
	\end{center}
	\newpage
	\pagestyle{empty}
	\cleardoublepage
	\pagestyle{fancy}
	\pagenumbering{arabic}
}}}
% Short title for papers
\DeclareOption{papertitle}{\AtEndOfClass{%
\pagestyle{plain} 
\setlength{\voffset}{-20mm}
\setlength{\textheight}{256mm}
\setlength{\textwidth}{159mm}
\title{\vspace*{-15mm}\@doctitle}
\author{\@docauthor}
\date{\small \@docaffiliation}
}}
\ProcessOptions\relax
\LoadClass[12pt,onecolumn,twoside,a4paper]{article}

\RequirePackage{fancyhdr}
\RequirePackage{comment}
\RequirePackage{svn}
\RequirePackage{hyperref}
\RequirePackage{graphicx}
\RequirePackage{sdgcommands}

% Page layout
\setlength{\hoffset}{0mm}
\setlength{\voffset}{-9mm}
\setlength{\oddsidemargin}{0mm} % 5mm for space for binding
\setlength{\evensidemargin}{0mm} % -5mm for space for binding
\setlength{\topmargin}{0mm}
\setlength{\textheight}{241mm}
\setlength{\textwidth}{159mm}
\setlength{\marginparsep}{0mm}

\pagestyle{fancy}

% Document information
\newcommand{\doctitle}[1]{\def\@doctitle{#1}}
\newcommand{\doctitleabbrev}[1]{\def\@doctitleabbrev{#1}}
\newcommand{\docauthor}[1]{\def\@docauthor{#1}}
\newcommand{\docnumber}[1]{\def\@docnumber{#1}}
\newcommand{\doccategory}[1]{\def\@doccategory{#1}}
\newcommand{\docversion}[1]{\def\@docversion{#1}}
\newcommand{\docfile}[1]{\def\@docfile{#1}}
\newcommand{\docdate}[1]{\def\@docdate{#1}}
\newcommand{\docaffiliation}[1]{\def\@docaffiliation{#1}}

% Page Headers 
\pagestyle{fancy}
\fancyhead{}
\fancyfoot{}
\fancyhead[LO]{\itshape\footnotesize{\siit}}
\fancyhead[RE]{\itshape\footnotesize{\tu}}
\fancyhead[LE,RO]{\itshape\footnotesize{\thepage}}
\fancyfoot[LO]{\itshape\footnotesize{\@doccategory}}
\fancyfoot[RO]{\itshape\footnotesize{\@doctitleabbrev}}
\fancyfoot[LE]{\itshape\footnotesize{\@docfile}}
\fancyfoot[RE]{\itshape\footnotesize{\@docdate\ (r\@docversion)}}
\renewcommand{\headrulewidth}{0.4pt}
\renewcommand{\footrulewidth}{0.4pt}

% Default format for the title (if you want a full title
% page then use the 'titlepage' option)
\title{\textbf{\@doccategory}\\[5mm] \@doctitle}
\author{\@docauthor\\[5mm]
	\normalsize{Document No: \@docnumber}\\[-1mm]
        \normalsize{Revision \@docversion}}
\date{\@docdate}

