\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{sdghandout}[2007/11/09 v0.1 Steven Gordon Handout Format]
% Developed by Steven Gordon
% $Revision: 216 $
% $Date: 2010-12-02 18:26:52 +0700 (พฤ., 02 ธ.ค. 2010) $
% $Author: sgordon $
% $URL: https://sandilands.info/svn/Common/Styles/sdghandout.cls $

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\DeclareOption{studentid}{\AtEndOfClass{%
\renewcommand{\maketitle}{%
\pagestyle{fancy}
\begin{center}
{\huge\textbf{\@coursecode\ \@coursetitle}\\}
\vspace*{5mm}
{\huge \@doctitle\\}
\vspace*{7mm}
{Prepared by \@docauthor, \@docdate, Revision \@docversion.}
\end{center}
\begin{picture}(450,60)
\put(0,5){\mbox{Date:}}
\put(35,0){\line(1,0){80}}
\put(175,5){\mbox{ID:}}
\put(205,0){\framebox(20,20){\ }}
\put(230,0){\framebox(20,20){\ }}
\put(255,0){\framebox(20,20){\ }}
\put(280,0){\framebox(20,20){\ }}
\put(305,0){\framebox(20,20){\ }}
\put(330,0){\framebox(20,20){\ }}
\put(355,0){\framebox(20,20){\ }}
\put(380,0){\framebox(20,20){\ }}
\put(405,0){\framebox(20,20){\ }}
\put(430,0){\framebox(20,20){\ }}
\put(0,40){\mbox{First Name:}}
\put(70,40){\line(1,0){150}}
\put(230,40){\mbox{Last Name:}}
\put(300,40){\line(1,0){150}}
\end{picture}
\vspace*{5mm}
	\pagenumbering{arabic}
}}}
\DeclareOption{shorttitle}{\AtEndOfClass{%
\renewcommand{\maketitle}{%
\pagestyle{fancy}
\begin{center}
{\huge\textbf{\@coursecode\ -- \@doctitle}\\}
\end{center}
}}}
\DeclareOption{questionnum}{\AtBeginDocument{%
% Set the counters to appropriate format for questions and subquestions
\renewcommand{\thesection}{Question \arabic{section}}
\renewcommand{\labelenumi}{(\alph{enumi})}
\renewcommand{\labelenumii}{\roman{enumii}.}
% Question numbering
\newcommand{\question}[1]{\section{\textmd{[#1 marks]}}}
\newcommand{\mcquestion}[1]{%
\renewcommand{\thesection}{Multiple Choice Questions}
\renewcommand{\labelenumi}{\arabic{enumi}.}
\renewcommand{\labelenumii}{(\alph{enumii})}
\section{\textmd{[#1 marks]}}
}
%\newcommand{startquestions}{%
%}
}}
\DeclareOption{exam}{\AtEndOfClass{%
\newcommand{\examinstructions}[1]{}
\pagestyle{fancy}
\fancyhead{}
\fancyfoot{}
\fancyhead[LO,LE]{Name \ldots\ldots\ldots\ldots\ldots\ldots\ldots\ldots\ldots\ldots $\;$ ID  \ldots\ldots\ldots\ldots\ldots $\;$ Section \ldots\ldots $\;$ Seat No \ldots\ldots}
\fancyhead[RO,RE]{}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}
\renewcommand{\maketitle}{%
\begin{center}
{\Large\textbf{\siit}}\\
\vspace*{2mm}
{\Large\textbf{\tu}}\\
\vspace*{5mm}
{\textbf{\@doctitle: Semester \@semester, \@academicyear}}\\
\end{center}
\begin{description}
\item[Course Title:] \@doccategory
\item[Instructor:] \@docauthor
\item[Date/Time:] \@testdate
\end{description}
\hrule
\paragraph{Instructions:}
\examinstructions
\newpage
% Use slightly different header/footers than standard
\pagestyle{fancy}
\fancyhead{}
\fancyfoot{}
\fancyhead[LO,LE]{\itshape\footnotesize{\siit}}
\fancyhead[RO,RE]{\itshape\footnotesize{\@coursecode}}
\fancyfoot[LO,LE]{\itshape\footnotesize{\@doctitleabbrev}}
\fancyfoot[CO,CE]{\itshape\footnotesize{}}
\fancyfoot[RO,RE]{\itshape\footnotesize{\thepage}}
\renewcommand{\headrulewidth}{0.4pt}
\renewcommand{\footrulewidth}{0.4pt}
}}}

\ProcessOptions\relax
\LoadClass[12pt,onecolumn,twoside,a4paper]{article}

\RequirePackage{fancyhdr}
\RequirePackage{comment}
\RequirePackage{svn}
\RequirePackage{hyperref}
\RequirePackage{graphicx}
\RequirePackage{amsthm}
\RequirePackage{sdgcommands}
\RequirePackage{xstring}
\RequirePackage{ifthen}

% Page layout
\setlength{\hoffset}{0mm}
\setlength{\voffset}{-9mm}
\setlength{\oddsidemargin}{0mm} % 5mm for space for binding
\setlength{\evensidemargin}{0mm} % -5mm for space for binding
\setlength{\topmargin}{0mm}
\setlength{\textheight}{241mm}
\setlength{\textwidth}{159mm}
\setlength{\marginparsep}{0mm}

\pagestyle{fancy}

% Document information
\newcommand{\doctitle}[1]{\def\@doctitle{#1}}
\newcommand{\doctitleabbrev}[1]{\def\@doctitleabbrev{#1}}
\newcommand{\docauthor}[1]{\def\@docauthor{#1}}
\newcommand{\docnumber}[1]{\def\@docnumber{#1}}
\newcommand{\doccategory}[1]{\def\@doccategory{#1}}
\newcommand{\docversion}[1]{\def\@docversion{#1}}
\newcommand{\docfile}[1]{\def\@docfile{#1}}
\newcommand{\docdate}[1]{\def\@docdate{#1}}
\newcommand{\coursecode}[1]{\def\@coursecode{#1}}
\newcommand{\coursetitle}[1]{\def\@coursetitle{#1}}
\newcommand{\semester}[1]{\def\@semester{#1}}
\newcommand{\academicyear}[1]{\def\@academicyear{#1}}
\newcommand{\testdate}[1]{\def\@testdate{#1}}

% A task or question for the student
\newtheorem{task}{Task}

% A note about operating systems and other options
\newtheorem{note}{Note}

% Option for quizzes
\newcommand{\docinfo}{%
\begin{center}
\vspace*{2mm}
\@coursetitle, Semester \@semester, \@academicyear\\
\vspace*{2mm}
\footnotesize{Prepared by \@docauthor\ on \@docdate}\\
\footnotesize{\@docnumber, \@docfile, r\@docversion}
\end{center}
}

% Display student name, ID and mark (giving max mark as input)
\newcommand{\studentname}[1]{%
\begin{center}
\begin{picture}(450,30)
\put(0,10){\mbox{Name:}}
\put(35,10){\line(1,0){160}}
\put(215,10){\mbox{ID:}}
\put(235,10){\line(1,0){100}}
\put(355,10){\mbox{Marks:}}
\put(395,10){\line(1,0){30}}
\put(430,10){\mbox{(#1)}}
\end{picture}
\end{center}
}

\newcommand{\variant}{ans}
\newcommand{\qvarii}[2]{\ifthenelse{\equal{\variant}{a}}{#1}{\ifthenelse{\equal{\variant}{b}}{#2}{\ifthenelse{\equal{\variant}{ans}}{[ #1 $|$ #2 ]}{ERROR}}}}
\newcommand{\qvariii}[3]{\ifthenelse{\equal{\variant}{a}}{#1}{\ifthenelse{\equal{\variant}{b}}{#2}{\ifthenelse{\equal{\variant}{c}}{#3}{\ifthenelse{\equal{\variant}{ans}}{[ #1 $|$ #2 $|$ #3 ]}{ERROR}}}}}
\newcommand{\qvariv}[4]{\ifthenelse{\equal{\variant}{a}}{#1}{\ifthenelse{\equal{\variant}{b}}{#2}{\ifthenelse{\equal{\variant}{c}}{#3}{\ifthenelse{\equal{\variant}{d}}{#4}{\ifthenelse{\equal{\variant}{ans}}{[ #1 $|$ #2 $|$ #3 $|$ #4 ]}{ERROR}}}}}}
\newcommand{\qvarv}[5]{\ifthenelse{\equal{\variant}{a}}{#1}{\ifthenelse{\equal{\variant}{b}}{#2}{\ifthenelse{\equal{\variant}{c}}{#3}{\ifthenelse{\equal{\variant}{d}}{#4}{\ifthenelse{\equal{\variant}{e}}{#5}{\ifthenelse{\equal{\variant}{ans}}{[ #1 $|$ #2 $|$ #3 $|$ #4 $|$ #5]}{ERROR}}}}}}}
\newcommand{\qvarvi}[6]{\ifthenelse{\equal{\variant}{a}}{#1}{\ifthenelse{\equal{\variant}{b}}{#2}{\ifthenelse{\equal{\variant}{c}}{#3}{\ifthenelse{\equal{\variant}{d}}{#4}{\ifthenelse{\equal{\variant}{e}}{#5}{\ifthenelse{\equal{\variant}{f}}{#6}{\ifthenelse{\equal{\variant}{ans}}{[ #1 $|$ #2 $|$ #3 $|$ #4 $|$ #5 $|$ #6]}{ERROR}}}}}}}}
\newcommand{\qonlya}[1]{\ifthenelse{\equal{\variant}{a}}{#1}{\ifthenelse{\equal{\variant}{ans}}{#1}{}}}
\newcommand{\qonlyb}[1]{\ifthenelse{\equal{\variant}{b}}{#1}{\ifthenelse{\equal{\variant}{ans}}{#1}{}}}
\newcommand{\qonlyc}[1]{\ifthenelse{\equal{\variant}{c}}{#1}{\ifthenelse{\equal{\variant}{ans}}{#1}{}}}
\newcommand{\qonlyd}[1]{\ifthenelse{\equal{\variant}{d}}{#1}{\ifthenelse{\equal{\variant}{ans}}{#1}{}}}
\newcommand{\qonlyx}[2]{\ifthenelse{\equal{\variant}{#1}}{#2}{\ifthenelse{\equal{\variant}{ans}}{#2}{}}}
\newcommand{\qonlyxory}[3]{\ifthenelse{\equal{\variant}{#1}}{#3}{\ifthenelse{\equal{\variant}{#2}}{#3}{\ifthenelse{\equal{\variant}{ans}}{#3}{}}}}
\newcommand{\qans}[1]{\ifthenelse{\equal{\variant}{ans}}{\vspace*{-2mm}\paragraph{Answer.} \begin{itshape}#1\end{itshape} \vspace*{2mm}}{}}
\newcommand{\qansbox}[2]{\ifthenelse{\equal{\variant}{ans}}{\vspace*{-2mm}\paragraph{Answer.} \begin{itshape}#2\end{itshape} \vspace*{2mm}}{\vspace*{#1mm}}}
\newcommand{\qoransbox}[2]{\ifthenelse{\equal{\variant}{ans}}{\vspace*{-2mm}\paragraph{Answer.} \begin{itshape}#2\end{itshape} \vspace*{2mm}}{#1}}
\newcommand{\qansshort}[1]{\ifthenelse{\equal{\variant}{ans}}{\begin{itshape}#1\end{itshape}}{}}
\newcommand{\qansalt}[2]{\ifthenelse{\equal{\variant}{ans}}{\begin{itshape}#2\end{itshape}}{#1}}
\newcommand{\qansmc}[1]{\ifthenelse{\equal{\variant}{ans}}{\begin{bfseries}#1\end{bfseries}}{#1}}


% Page Headers 
\pagestyle{fancy}
\fancyhead{}
\fancyfoot{}
\fancyhead[LO,LE]{\itshape\footnotesize{\siit}}
\fancyhead[RO,RE]{\itshape\footnotesize{\@coursecode}}
\fancyfoot[LO,LE]{\itshape\footnotesize{\@doctitleabbrev}}
\fancyfoot[CO,CE]{\itshape\footnotesize{\@docdate}}
\fancyfoot[RO,RE]{\itshape\footnotesize{\thepage}}
\renewcommand{\headrulewidth}{0.4pt}
\renewcommand{\footrulewidth}{0.4pt}

% Default format for the title (if you want a full title
% page then use the 'titlepage' option)
\title{\vspace{-20mm}\textbf{\@coursecode\ \@coursetitle}\\[5mm] \@doctitle}
\author{\@docauthor\\[5mm]
        \normalsize{Revision \@docversion}}
\date{\@docdate}

